%global gitcommit 2efee857e7cfd4f3d0138cc3cbb1b4966962b93a
%global project   alecthomas
%global repo      units

%global common_description Helpful unit multipliers and functions for Go. \
The goal of this package is to have functionality similar to the time package.

%_go_metadata

Release: 0.8%{?gitcommit:.git%{shortgitcommit}}%{?dist}
Summary: Supplementary Go libraries of unit multipliers and functions
License: MIT
BuildRequires: golang(github.com/stretchr/testify/assert)

%description
%{common_description}

%package   devel
Summary:   %{summary}
BuildArch: noarch

%description devel
%{common_description}

This package contains the source code needed for building packages that import the %{_go_import_path} Go namespace.

%prep
%setup -n %{archivename}

%install
gofiles=$(find . -iname "*.go" \! -iname "*_test.go" -print)
%_go_install $gofiles

%check
%_go_checks .

%files devel -f devel.file-list
%license COPYING
%doc *\.md

%changelog

