%global project mattn
%global repo    go-isatty

Version: 0.0.2

%global common_description isatty Go libraries.

%_go_metadata

Release: 5%{?gitcommit:.git%{shortgitcommit}}%{?dist}
Summary: Supplementary isatty Go libraries
License: MIT

%description
%{common_description}

%package   devel
Summary:   %{summary}
BuildArch: noarch

%description devel
%{common_description}

This package contains the source code needed for building packages that import the %{_go_import_path} Go namespace.

%prep
%autosetup -n %{archivename}

%install
gofiles=$(find . -iname "*.go" \! -iname "*_test.go" -print)
%_go_install $gofiles

%check
%_go_checks .

%files devel -f devel.file-list
%license LICENSE
%doc *\.md

%changelog

