# Only packages the GO part for now
# TODO: package the other language data (in subpackages), starting with python

%global gitcommit 6f3806018612930941127f2a7c6c453ba2c527d2
%global project   prometheus
%global repo      client_model

# Use a langage-neutral name
Name:    prometheus-client-model
Version: 0.0.3

%global common_description Data model artifacts for the Prometheus monitoring system and time series database.

%_go_metadata

Release: 0.7%{?gitcommit:.git%{shortgitcommit}}%{?dist}
Summary: Data model artifacts for the Prometheus monitoring system and time series database
License: ASL 2.0
BuildRequires: golang(github.com/golang/protobuf/proto)

%description
%{common_description}

%package   -n %{_go_pkg_name}-devel
Summary:   %{summary}, development files
BuildArch: noarch

%description -n %{_go_pkg_name}-devel
%{common_description}

This package contains the source code needed for building packages that import the %{_go_import_path} Go namespace.

%prep
%setup -n %{archivename}

%install
gofiles=$(find . -iname "*.go" \! -iname "*_test.go" -print)
%_go_install $gofiles

%check
%_go_checks go

%files -n %{_go_pkg_name}-devel -f devel.file-list
%license LICENSE NOTICE
%doc *\.md

%changelog

