%global gitcommit 60882d9e27213e8552dcff6328914fe4c2b44bc9
%global project   alecthomas
%global repo      colour

%global common_description This package provides Quake-style colour formatting for Unix terminals. \
The package level functions can be used to write to stdout (or strings or other files). If stdout is not a terminal, colour formatting will be stripped.

%_go_metadata

Release: 0.9%{?gitcommit:.git%{shortgitcommit}}%{?dist}
Summary: Supplementary Go libraries to print colour terminal text
License: MIT

BuildRequires: golang(github.com/mattn/go-isatty)

%description
%{common_description}

%package   devel
Summary:   %{summary}
Requires:  golang(github.com/mattn/go-isatty)
BuildArch: noarch

%description devel
%{common_description}

This package contains the source code needed for building packages that import the %{_go_import_path} Go namespace.

%prep
%setup -n %{archivename}

%install
gofiles=$(find . -iname "*.go" \! -iname "*_test.go" -print)
%_go_install $gofiles

%check
%_go_checks .

%files devel -f devel.file-list
%license COPYING
%doc *\.md

%changelog

