%global gitcommit d44565ca483f0ed23c2ac9cda62c966b116e77a3
%global project   alecthomas
%global repo      repr

%global common_description This package attempts to represent Go values in a form that can be used almost directly in Go source code.

%_go_metadata

Release: 0.10%{?gitcommit:.git%{shortgitcommit}}%{?dist}
Summary: Supplementary Go libraries for python-like repr
License: MIT
BuildRequires: golang(github.com/stretchr/testify/assert)

%description
%{common_description}

%package   devel
Summary:   %{summary}
BuildArch: noarch

%description devel
%{common_description}

This package contains the source code needed for building packages that import the %{_go_import_path} Go namespace.

%prep
%setup -n %{archivename}

%install
gofiles=$(find . -iname "*.go" \! -iname "*_test.go" -print)
%_go_install $gofiles

%check
%_go_checks .

%files devel -f devel.file-list
%license COPYING
%doc *\.md

%changelog

