%global gitcommit a0175ee3bccc567396460bf5acd36800cb10c49c
%global project   alecthomas
%global repo      template

%global common_description This is a fork of Go 1.4's text/template package with one addition: a backslash immediately after a closing delimiter will delete all subsequent newlines until a non-newline.\
Go's test/template package implements data-driven templates for generating textual output.

%_go_metadata

Release: 0.10%{?gitcommit:.git%{shortgitcommit}}%{?dist}
Summary: Supplementary Go libraries for data-driven templates to generate textual output
License: BSD

%description
%{common_description}

%package   devel
Summary:   %{summary}
BuildArch: noarch

%description devel
%{common_description}

This package contains the source code needed for building packages that import the %{_go_import_path} Go namespace.

%prep
%setup -n %{archivename}

%install
gofiles=$(find . -iname "*.go" \! -iname "*_test.go" \! -iname "/testdata/*" -print)
%_go_install $gofiles

%check
%_go_checks . parse

%files devel -f devel.file-list
%license LICENSE
%doc *\.md

%changelog

