%global project matttproud
%global repo    golang_protobuf_extensions

Version: 1.0.0

%global common_description Various Protocol Buffer extensions for the Go language, namely support for record length-delimited message streaming.

%_go_metadata

Release: 6%{?gitcommit:.git%{shortgitcommit}}%{?dist}
Summary: Supplementary Go library of Protocol Buffer extensions
License: ASL 2.0
BuildRequires: golang(github.com/golang/protobuf/proto)

%description
%{common_description}

%package   devel
Summary:   %{summary}
Requires:  golang(github.com/golang/protobuf/proto)
BuildArch: noarch

%description devel
%{common_description}

This package contains the source code needed for building packages that import the %{_go_import_path} Go namespace.

%prep
%setup -n %{archivename}

%install
gofiles=$(find . -iname "*.go" \! -iname "*_test.go" -print)
%_go_install $gofiles

%check
%_go_checks pbutil

%files devel -f devel.file-list
%license LICENSE NOTICE
%doc *\.md

%changelog

