%global gitcommit e645f4e5aaa8506fc71d6edbc5c4ff02c04c46f2
%global project   prometheus
%global repo      procfs

%global common_description This procfs package provides functions to retrieve system, kernel and process metrics from the pseudo-filesystem proc.\
\
WARNING: This package is a work in progress. Its API may still break in backwards-incompatible ways without warnings. Use it at your own risk.

%_go_metadata

Release: 0.4%{?gitcommit:.git%{shortgitcommit}}%{?dist}
Summary: Supplementary Go library to retrieve system, kernel and process metrics from the pseudo-filesystem proc.
License: ASL 2.0

%description
%{common_description}

%package   devel
Summary:   %{summary}
BuildArch: noarch

%description devel
%{common_description}

This package contains the source code needed for building packages that import the %{_go_import_path} Go namespace.

%prep
%setup -n %{archivename}

%install
gofiles=$(find . -iname "*.go" \! -iname "*_test.go" -print)
fixtures=$(find fixtures -type f -o -type l -print)
%_go_install $gofiles $fixtures

%check
# sysfs & xfs tests require that the buildsystem uses xfs and bcache
%_go_checks bcache

%files devel -f devel.file-list
%license LICENSE NOTICE
%doc *\.md

%changelog

