%global provider     gopkg
%global provider_tld in
%global project      airbrake
%global repo         gobrake
%global repomajor    2

URL:     https://github.com/%{project}/%{repo}
Version: 2.0.9

%global common_description Libraries to send your notices to Airbrake.

%_go_metadata

Release: 4%{?dist}
Summary: Supplementary Go libraries to send your notices to Airbrake.
License: BSD

BuildRequires: golang(github.com/onsi/ginkgo)
BuildRequires: golang(github.com/onsi/gomega)

%description
%{common_description}

%package   devel
Summary:   %{summary}
BuildArch: noarch

%description devel
%{common_description}

This package contains the source code needed for building packages that import the %{_go_import_path} Go namespace.

%prep
%setup -n %{archivename}

%install
gofiles=$(find . -iname "*.go" \! -iname "*_test.go" -print)
%_go_install $gofiles

%check
%_go_checks .

%files devel -f devel.file-list
%license LICENSE
%doc *\.md

%changelog

